Name | Type | Default |
animationType
|
enum:ExpanderAnimationType
|
'slide'
|
enum ExpanderAnimationType { none, slide, fade } Sets or gets the animationType property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [animationType]="'fade'"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
arrowPosition
|
enum:ExpanderArrowPosition
|
'left'
|
enum ExpanderArrowPosition { left, right } Sets or gets the arrowPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [arrowPosition]="'left'"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
collapseAnimationDuration
|
Number
|
400
|
Sets or gets the collapseAnimationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [collapseAnimationDuration]="300"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [disabled]="true"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
expanded
|
Boolean
|
true
|
Sets or gets the expanded property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [expanded]="false"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
expandAnimationDuration
|
Number
|
400
|
Sets or gets the expandAnimationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [expandAnimationDuration]="300"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
height
|
Size
|
'auto'
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [height]="100"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
headerPosition
|
enum:ExpanderHeaderPosition
|
'top'
|
enum ExpanderHeaderPosition { top, bottom } Sets or gets the headerPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [headerPosition]="'bottom'"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
initContent
|
() => Void
|
null
|
Sets or gets the initContent property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [initContent]="initContent"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [rtl]="true"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
showArrow
|
Boolean
|
true
|
Sets or gets the showArrow property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [showArrow]="true"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [theme]="'energyblue'"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
toggleMode
|
enum:ExpanderToggleMode
|
'click'
|
enum ExpanderToggleMode { click, dblclick, none } Sets or gets the toggleMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [toggleMode]="'none'"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
width
|
Size
|
'auto'
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350" [width]="300"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent {
|
|
collapsing
|
Event
|
|
This event is triggered when the jqxExpander is going to be collapsed.
Code examples
Bind to the collapsing event of jqxExpander.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander (onCollapsing)="Collapsing($event)" [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent { Collapsing(event: any): void
|
collapsed
|
Event
|
|
This event is triggered when the jqxExpander is collapsed.
Code examples
Bind to the collapsed event of jqxExpander.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander (onCollapsed)="Collapsed($event)" [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent { Collapsed(event: any): void
|
expanding
|
Event
|
|
This event is triggered when the jqxExpander is going to be expanded.
Code examples
Bind to the expanding event of jqxExpander.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander (onExpanding)="Expanding($event)" [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent { Expanding(event: any): void
|
expanded
|
Event
|
|
This event is triggered when the jqxExpander is expanded.
Code examples
Bind to the expanded event of jqxExpander.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander (onExpanded)="Expanded($event)" [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent { Expanded(event: any): void
|
|
Name | Return Type | Arguments |
collapse
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.collapse();
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.disable();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.destroy();
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.enable();
|
expand
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.expand();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent;
|
getContent
|
String
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { let value = this.myExpander.getContent();
|
getHeaderContent
|
String
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { let value = this.myExpander.getHeaderContent();
|
invalidate
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.invalidate();
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.refresh();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.render();
|
setHeaderContent
|
Void
|
headerContent: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.setHeaderContent( 'header');
|
setContent
|
Void
|
content: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxExpander #myExpander [width]="350"> <div> Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> </ul> </div> </jqxExpander> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myExpander') myExpander: jqxExpanderComponent; ngAfterViewInit(): void { this.myExpander.setContent( 'content');
|

Name | Type | Default |
animationType
|
ExpanderAnimationType
|
'slide'
|
ExpanderAnimationType: "none" | "slide" | "fade"
Sets or gets the animation type.
Possible Values:
'slide'
'fade'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} animationType={ 'fade'}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
arrowPosition
|
ExpanderArrowPosition
|
'right'
|
ExpanderArrowPosition: "left" | "right"
Sets or gets header's arrow position.
Possible Values:
'left'
'right'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} arrowPosition={ 'left'}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapseAnimationDuration
|
number
|
400
|
Sets or gets the collapsing animation duration.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} collapseAnimationDuration={3000}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the expander is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} disabled={true}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expanded
|
boolean
|
true
|
Sets or gets expander's state (collapsed or expanded).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} expanded={false}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandAnimationDuration
|
number
|
400
|
Sets or gets the expanding animation duration.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} expandAnimationDuration={3000}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
number | string
|
'auto'
|
Sets or gets expander's height. Possible values - 'auto' or string like this 'Npx' where N is any number or a numeric value in pixels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} height={100}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
headerPosition
|
ExpanderHeaderPosition
|
'top'
|
ExpanderHeaderPosition: "top" | "bottom"
Sets or gets header's position.
Possible Values:
'top'
'bottom'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} headerPosition={ 'bottom'}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
initContent
|
() => void
|
null
|
Callback function called when the item's content needs to be initialized. Useful for initializing other widgets within the content of jqxExpander.
|
rtl
|
boolean
|
false
|
Determines whether the right-to-left support is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} rtl={true}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showArrow
|
boolean
|
true
|
Sets or gets whether header's arrow is going to be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} showArrow={false}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} theme={ 'material'}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toggleMode
|
ExpanderToggleMode
|
'click'
|
ExpanderToggleMode: "click" | "dblclick" | "none"
Sets or gets user interaction used for expanding or collapsing the content.
Possible Values:
'click'
'dblclick'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={350} toggleMode={ 'dblclick'}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
number | string
|
'auto'
|
Sets or gets expander's width.Possible values - 'auto' or string like this 'Npx' where N is any number or a numeric value in pixels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} width={300}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
collapsing
|
Event
|
|
This event is triggered when the jqxExpander is going to be collapsed.
Code examples
Bind to the collapsing event of jqxExpander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} onCollapsing={this.onCollapsing} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } private onCollapsing(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapsed
|
Event
|
|
This event is triggered when the jqxExpander is collapsed.
Code examples
Bind to the collapsed event of jqxExpander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} onCollapsed={this.onCollapsed} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } private onCollapsed(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expanding
|
Event
|
|
This event is triggered when the jqxExpander is going to be expanded.
Code examples
Bind to the expanding event of jqxExpander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} onExpanding={this.onExpanding} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } private onExpanding(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expanded
|
Event
|
|
This event is triggered when the jqxExpander is expanded.
Code examples
Bind to the expanded event of jqxExpander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public render() { return ( <JqxExpander ref={this.myExpander} onExpanded={this.onExpanded} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } private onExpanded(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
collapse
|
None
|
|
Method which is collapsing the expander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.collapse(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
This method is disabling the expander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.disable(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
This method destroys the expander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.destroy(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
This method is enabling the expander.
|
expand
|
None
|
|
Method used for expanding the expander's content.
|
focus
|
None
|
|
This method focuses on the expander. When the widget is focused, keyboard navigation can be used. Here is a list of the keys, supported by jqxExpander and their function:
- Enter/Spacebar - if the focus is on the header, collapses or expands the widget.
- Tab - focuses on the header or the next element in the DOM.
- Ctrl+Up arrow - if the focus is on the content, focuses on the header.
- Ctrl+Down arrow - if the focus is on the header, focuses on the content.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.focus(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getContent
|
None
|
|
Getting expander's content. Returns a string with the content's HTML.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.getContent(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getHeaderContent
|
None
|
|
Getting expander's header content. Returns a string with the header's HTML.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.getHeaderContent(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
invalidate
|
None
|
|
This method refreshes the expander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.invalidate(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
This method refreshes the expander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.refresh(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
This method renders the expander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.render(); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setHeaderContent
|
headerContent
|
|
This method is setting specific content to the expander's header.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.setHeaderContent( 'New Header'); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setContent
|
content
|
|
This method is setting specific content to the expander.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxExpander, { IExpanderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxexpander'; class App extends React.PureComponent<{}, IExpanderProps> { private myExpander = React.createRef<JqxExpander>(); public componentDidMount(): void { this.myExpander.current!.setContent( 'New Awesome Content!'); } public render() { return ( <JqxExpander ref={this.myExpander} width={350}> <div>Early History of the Internet </div> <div> <ul> <li>1961 First packet-switching papers </li> <li>1966 Merit Network founded </li> <li>1966 ARPANET planning starts </li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
animationType
|
String
|
'slide'
|
Sets or gets the animation type.
Possible Values:
'slide'
'fade'
'none'
<template> <JqxExpander ref="myExpander" :width="350" :animationType="'fade'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
arrowPosition
|
String
|
'right'
|
Sets or gets header's arrow position.
Possible Values:
'left'
'right'
<template> <JqxExpander ref="myExpander" :width="350" :arrowPosition="'left'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
collapseAnimationDuration
|
Number
|
400
|
Sets or gets the collapsing animation duration.
<template> <JqxExpander ref="myExpander" :width="350" :collapseAnimationDuration="3000"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
disabled
|
Boolean
|
false
|
Sets or gets whether the expander is disabled.
<template> <JqxExpander ref="myExpander" :width="350" :disabled="true"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
expanded
|
Boolean
|
true
|
Sets or gets expander's state (collapsed or expanded).
<template> <JqxExpander ref="myExpander" :width="350" :expanded="false"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
expandAnimationDuration
|
Number
|
400
|
Sets or gets the expanding animation duration.
<template> <JqxExpander ref="myExpander" :width="350" :expandAnimationDuration="3000"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
height
|
Number | String
|
'auto'
|
Sets or gets expander's height. Possible values - 'auto' or string like this 'Npx' where N is any number or a numeric value in pixels.
<template> <JqxExpander ref="myExpander" :width="350" :height="100"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
headerPosition
|
String
|
'top'
|
Sets or gets header's position.
Possible Values:
'top'
'bottom'
<template> <JqxExpander ref="myExpander" :width="350" :headerPosition="'bottom'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
initContent
|
Function
|
null
|
Callback function called when the item's content needs to be initialized. Useful for initializing other widgets within the content of jqxExpander.
<template> <JqxExpander ref="myExpander" :width="350" :initContent="initContent"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> <div class='initContent'></div> </div> </JqxExpander></template><script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxExpander, JqxButton }, methods: { initContent: function () { // Useful for Initializing Other Widgets Within the Content of jqxExpander jqwidgets.createInstance( '.initContent', 'jqxButton', { value: 'Button'});
|
rtl
|
Boolean
|
false
|
Determines whether the right-to-left support is enabled.
<template> <JqxExpander ref="myExpander" :width="350" :rtl="true"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
showArrow
|
Boolean
|
true
|
Sets or gets whether header's arrow is going to be shown.
<template> <JqxExpander ref="myExpander" :width="350" :showArrow="false"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxExpander ref="myExpander" :width="350" :theme="'material'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
toggleMode
|
String
|
'click'
|
Sets or gets user interaction used for expanding or collapsing the content.
Possible Values:
'click'
'dblclick'
'none'
<template> <JqxExpander ref="myExpander" :width="350" :toggleMode="'dblclick'"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
width
|
Number | String
|
'auto'
|
Sets or gets expander's width.Possible values - 'auto' or string like this 'Npx' where N is any number or a numeric value in pixels.
<template> <JqxExpander ref="myExpander" :width="300"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue';
|
|
collapsing
|
Event
|
|
This event is triggered when the jqxExpander is going to be collapsed.
Code examples
Bind to the collapsing event of jqxExpander.
<template> <JqxExpander ref="myExpander" @collapsing="onCollapsing($event)" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, methods: { onCollapsing: function (event) { alert( 'do something...');
|
collapsed
|
Event
|
|
This event is triggered when the jqxExpander is collapsed.
Code examples
Bind to the collapsed event of jqxExpander.
<template> <JqxExpander ref="myExpander" @collapsed="onCollapsed($event)" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, methods: { onCollapsed: function (event) { alert( 'do something...');
|
expanding
|
Event
|
|
This event is triggered when the jqxExpander is going to be expanded.
Code examples
Bind to the expanding event of jqxExpander.
<template> <JqxExpander ref="myExpander" @expanding="onExpanding($event)" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, methods: { onExpanding: function (event) { alert( 'do something...');
|
expanded
|
Event
|
|
This event is triggered when the jqxExpander is expanded.
Code examples
Bind to the expanded event of jqxExpander.
<template> <JqxExpander ref="myExpander" @expanded="onExpanded($event)" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, methods: { onExpanded: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
collapse
|
None
|
None
|
Method which is collapsing the expander.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.collapse();
|
disable
|
None
|
None
|
This method is disabling the expander.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.disable();
|
destroy
|
None
|
None
|
This method destroys the expander.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.destroy();
|
enable
|
None
|
None
|
This method is enabling the expander.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template><script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.disable(); setTimeout(_ => this.$refs.myExpander.enable(), 1000);
|
expand
|
None
|
None
|
Method used for expanding the expander's content.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template><script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.collapse(); setTimeout(_ => this.$refs.myExpander.expand(), 1000);
|
focus
|
None
|
None
|
This method focuses on the expander. When the widget is focused, keyboard navigation can be used. Here is a list of the keys, supported by jqxExpander and their function:
- Enter/Spacebar - if the focus is on the header, collapses or expands the widget.
- Tab - focuses on the header or the next element in the DOM.
- Ctrl+Up arrow - if the focus is on the content, focuses on the header.
- Ctrl+Down arrow - if the focus is on the header, focuses on the content.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.focus();
|
getContent
|
None
|
String
|
Getting expander's content. Returns a string with the content's HTML.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { const value = this.$refs.myExpander.getContent();
|
getHeaderContent
|
None
|
String
|
Getting expander's header content. Returns a string with the header's HTML.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { const value = this.$refs.myExpander.getHeaderContent();
|
invalidate
|
None
|
None
|
This method refreshes the expander.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.invalidate();
|
refresh
|
None
|
None
|
This method refreshes the expander.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.refresh();
|
render
|
None
|
None
|
This method renders the expander.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.render();
|
setHeaderContent
|
headerContent
|
None
|
This method is setting specific content to the expander's header.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.setHeaderContent( 'New Header');
|
setContent
|
content
|
None
|
This method is setting specific content to the expander.
<template> <JqxExpander ref="myExpander" :width="350"> <div>Early History of the Internet</div> <div> <ul> <li>1961 First packet-switching papers</li> <li>1966 Merit Network founded</li> <li>1966 ARPANET planning starts</li> <li>1969 ARPANET carries its first packets </li> <li>1970 Mark I network at NPL (UK) </li> <li>1971 Tymnet packet-switched network </li> <li>1973 CYCLADES network demonstrated </li> <li>1974 Telenet packet-switched network </li> <li>1980 Ethernet standard introduced </li> </ul> </div> </JqxExpander></template> <script> import JqxExpander from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxexpander.vue'; export default { components: { JqxExpander }, mounted: function () { this.$refs.myExpander.setContent( 'New Awesome Content!');
|